GitHub Repositories API

Get public repositories for a GitHub user. Supports pagination and GitHub's repo sorting options.

1 creditper request
GET
/v1/github/user/repositories
curl "https://api.scrapecreators.com/v1/github/user/repositories" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49997684739,
  "repositories": [
    {
      "id": 320393623,
      "node_id": "MDEwOlJlcG9zaXRvcnkzMjAzOTM2MjM=",
      "name": "kentcdodds.com",
      "full_name": "kentcdodds/kentcdodds.com",
      "owner": {
        "id": 1500684,
        "login": "kentcdodds",
        "avatar_url": "https://avatars.githubusercontent.com/u/1500684?v=4",
        "url": "https://github.com/kentcdodds",
        "type": "User"
      },
      "private": false,
      "url": "https://github.com/kentcdodds/kentcdodds.com",
      "description": "My personal website",
      "fork": false,
      "homepage": "https://kentcdodds.com",
      "language": "MDX",
      "forks_count": 654,
      "stars_count": 2485,
      "watchers_count": 2485,
      "size": 53677,
      "default_branch": "main",
      "open_issues_count": 4,
      "topics": [
        "kentcdodds",
        "oss",
        "prisma",
        "react",
        "remix",
        "sqlite",
        "typescript",
        "website"
      ],
      "license": {
        "key": "other",
        "name": "Other",
        "spdx_id": "NOASSERTION"
      },
      "archived": false,
      "disabled": false,
      "visibility": "public",
      "pushed_at": "2026-05-20T20:16:24Z",
      "created_at": "2020-12-10T21:24:32Z",
      "updated_at": "2026-05-21T16:43:37Z"
    },
    {
      "id": 1185768353,
      "node_id": "R_kgDORq1joQ",
      "name": "kody",
      "full_name": "kentcdodds/kody",
      "owner": {
        "id": 1500684,
        "login": "kentcdodds",
        "avatar_url": "https://avatars.githubusercontent.com/u/1500684?v=4",
        "url": "https://github.com/kentcdodds",
        "type": "User"
      },
      "private": false,
      "url": "https://github.com/kentcdodds/kody",
      "description": "An experimental personal assistant platform built on Cloudflare Workers and MCP",
      "fork": false,
      "homepage": "",
      "language": "TypeScript",
      "forks_count": 10,
      "stars_count": 88,
      "watchers_count": 88,
      "size": 16663,
      "default_branch": "main",
      "open_issues_count": 2,
      "topics": [],
      "license": null,
      "archived": false,
      "disabled": false,
      "visibility": "public",
      "pushed_at": "2026-05-21T12:37:15Z",
      "created_at": "2026-03-18T23:30:18Z",
      "updated_at": "2026-05-21T12:36:07Z"
    }
  ],
  "cursor": 2
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

GitHub username/handle of the user you want the repositories for

Example:
torvalds
url
string

GitHub user URL, e.g. https://github.com/kentcdodds.

Example:
https://github.com/kentcdodds
type
string

Repository type. Defaults to owner. GitHub also supports all and member.

Example:
owner
Available options:
owner,
all,
member
sort
string

Sort by created, updated, pushed, or full_name. Defaults to updated.

Example:
updated
Available options:
created,
updated,
pushed,
full_name
direction
string

Sort direction: ascending or descending.

Example:
desc
Available options:
asc,
desc
cursor
number

Cursor from the previous response. Defaults to 1.

Example:
1